## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
# * test files and git repository data are not shipped with published crates
%bcond_with check
%global debug_package %{nil}

%global crate vergen

Name:           rust-%{crate}
Version:        5.1.17
Release:        %autorelease
Summary:        Generate cargo:rustc-env instructions for use with env!

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/vergen
Source:         %{crates_source}
# Initial patched metadata
# * relax sysinfo dependency
Patch0:         vergen-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Generate 'cargo:rustc-env' instructions via 'build.rs' for use in your code via
the env! macro.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+build-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+build-devel %{_description}

This package contains library source intended for building other packages
which use "build" feature of "%{crate}" crate.

%files       -n %{name}+build-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+cargo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cargo-devel %{_description}

This package contains library source intended for building other packages
which use "cargo" feature of "%{crate}" crate.

%files       -n %{name}+cargo-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages
which use "chrono" feature of "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages
which use "git" feature of "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages
which use "git2" feature of "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rustc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-devel %{_description}

This package contains library source intended for building other packages
which use "rustc" feature of "%{crate}" crate.

%files       -n %{name}+rustc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rustc_version-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_version-devel %{_description}

This package contains library source intended for building other packages
which use "rustc_version" feature of "%{crate}" crate.

%files       -n %{name}+rustc_version-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+si-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+si-devel %{_description}

This package contains library source intended for building other packages
which use "si" feature of "%{crate}" crate.

%files       -n %{name}+si-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+sysinfo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sysinfo-devel %{_description}

This package contains library source intended for building other packages
which use "sysinfo" feature of "%{crate}" crate.

%files       -n %{name}+sysinfo-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Nov 04 2021 Fabio Valentini <decathorpe@gmail.com> 5.1.17-1
- Update to version 5.1.17; Fixes RHBZ#2016203

* Sat Sep 04 2021 Fabio Valentini <decathorpe@gmail.com> 5.1.15-1
- Update to version 5.1.15; Fixes RHBZ#1990519

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> 5.1.14-1
- Update to version 5.1.14; Fixes RHBZ#1926902

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 3.1.0-1
- Update to 3.1.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 00:17:16 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.4-1
- Initial package

